variable "topic_arn" {
  description = "SNS topic ARN to sub to"
  type        = string
}

variable "protocol" {
  description = "Protocol of the subscription"
  type        = string
}

variable "endpoint" {
  description = "Endpoint or ARN of the subscriber"
  type        = string
}

variable "lambda_arn" {
  description = "Arn of Lambda for S3 events"
  type        = string
  default     = ""
}

variable "endpoint_auto_confirms" {
  description = "Auto confirm config"
  type        = bool
  default     = false
}

variable "filter_policy" {
  description = "Filter Policy for the subscription"
  type        = any
  default     = {}
}

variable "raw_message_delivery" {
  description = "Enable raw message delivery"
  type        = bool
  default     = false
}

# optional region for cross-region sns subscriptions
variable "optional_region" {
  description = "optional region for cross region sns subscriptions"
  type        = bool
  default     = false
}
